Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gwt.inject.rebind
Enum GinScope

    java.lang.Object
      java.lang.Enum<GinScope>
          com.google.gwt.inject.rebind.GinScope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GinScope>

    public enum GinScope

extends java.lang.Enum<GinScope>

Enum for scopes that GIN supports.

Enum Constant Summary
`EAGER_SINGLETON`
`NO_SCOPE`
`SINGLETON`

Method Summary
`static GinScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GinScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_SCOPE

    public static final GinScope NO_SCOPE

### SINGLETON

    public static final GinScope SINGLETON

### EAGER_SINGLETON

    public static final GinScope EAGER_SINGLETON

Method Detail

### values

    public static GinScope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GinScope c : GinScope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GinScope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD